
// This example sends to the ArduHAL application
// the distance measured with the VL53L0X sensor. 

#include <Theremino.h>
#include <Wire.h>
#include "VL53L0X.h"

VL53L0X sensor;

void setup()
{
  Serial.begin(500000);
  Wire.begin();
  sensor.init();
  sensor.startContinuous(); // repeat measurements as fast as possible
}

void loop()
{
	Theremino.genericWrite16(1, sensor.readRangeContinuousMillimetersNonStopping());

	// ------------------------------------------------------------
	//  Debug
	// ------------------------------------------------------------
	// Serial.print(sensor.readRangeContinuousMillimetersNonStopping());
	// Serial.println();
}
